Get locations by service
This endpoint returns all the enabled tasks within a service for its associated products.
GET /api/v1/businesses/{businessId}/services/{serviceId}/locations
If the information provided in the request is correct —both businessId and serviceId—, the response will contain the enabled tasks for each product and zone within the service.
Response example
[
{
"color": "#c7d0e9",
"description": "Opening tasks",
"name": "OPENING",
"shortName": "OP",
"requiredLevel": 2,
"priority": 4,
"maxResources": 1,
"type": "FIXED",
"shouldAvoidOvercover": true,
"system": false,
"category": "Fixed tasks",
"product": "0001-GENERAL",
"id": "01",
"active": true,
"zone": "General"
},
{
"color": "#c7d0e9",
"description": "Opening tasks",
"name": "OPENING",
"shortName": "OP",
"requiredLevel": 2,
"priority": 4,
"maxResources": 1,
"type": "FIXED",
"shouldAvoidOvercover": true,
"system": false,
"category": "Fixed tasks",
"product": "0001-GENERAL",
"id": "01",
"active": true,
"zone": "Z1"
},
{
"color": "#425ea9",
"description": "Replenishment of merchandise",
"name": "REPLACEMENT",
"shortName": "REP",
"requiredLevel": 2,
"priority": 3,
"type": "FIXED",
"shouldAvoidOvercover": false,
"system": false,
"category": "Operational",
"product": "0001-GENERAL",
"id": "05",
"active": true,
"zone": "General"
}
]
Details
-
color: color configured in Orquest for the task.
-
description: description of the task defined in Orquest.
-
name: name of the task in Orquest.
-
shortName: task abbreviation in Orquest.
-
requiredLevel: skill level required to perform the task. Ranges from
0(no training needed) to3(maximum training level) and must be previously configured in Orquest. -
priority: priority of task coverage. Ranges from
0(low) to5(high) and must be previously configured in Orquest. -
maxResources: limit of people for the task.
-
type: type of task, whether it is fixed, variable, or non-plannable (
FIXED,VARIABLE,NON_PLANIFIABLE). -
shouldAvoidOvercover: if this parameter is
true, the task will not be overcovered. -
system: determines if the task was created by the system (
true) or by the user (false). -
category: category of the task previously configured in Orquest.
-
product: external identifier of the product or section.
-
id: external identifier of the task.
-
metadata: any additional data that has been previously configured for the task in Orquest. The metadata structure must be previously configured.
-
zone: physical place in the service (store, restaurant, etc.) where the location is carried out.
As shown in the example, if a task is enabled in multiple zones of a product, the response will include one entry for each zone. In this case, the OPENING task appears in both General and Z1 zones of the 0001-GENERAL product.
If there are more products in the service with the same tasks enabled, the response will include one task entry per product and zone.
The level of detail in the response will depend on the information previously defined for the task. For example, if no description (description) was provided, that field will not be included.
Considerations
If there are no active tasks in the specified service, the response will be an empty array [].
If the service provided in the URL does not exist in the business, the request will return a 404 Not Found error, with the message not exits.
Useful links
What is a task?